# Uses of Class
com.google.protobuf.MapField

Packages that use MapField
Package
Description
com.google.protobuf

## Uses of MapField in com.google.protobuf

Methods in com.google.protobuf that return MapField
Modifier and Type
Method
Description
`MapField<KeyT,MessageT>`
MapFieldBuilder.`build(MapEntry<KeyT,MessageT> defaultEntry)`
Converts this MapFieldBuilder to a MapField.
`MapField<K,V>`
MapField.`copy()`
Returns a deep copy of this MapField.
`static <K, V> MapField<K,V>`
MapField.`emptyMapField(MapEntry<K,V> defaultEntry)`
Returns an immutable empty MapField.
`protected MapField`
GeneratedMessage.Builder.`internalGetMapField(int fieldNumber)`
Deprecated.
`protected MapField`
GeneratedMessage.`internalGetMapField(int fieldNumber)`
Deprecated.
`protected MapField`
GeneratedMessage.Builder.`internalGetMutableMapField(int fieldNumber)`
Deprecated.
`static <K, V> MapField<K,V>`
MapField.`newMapField(MapEntry<K,V> defaultEntry)`
Creates a new mutable empty MapField.
Methods in com.google.protobuf with parameters of type MapField
Modifier and Type
Method
Description
`void`
MapField.`mergeFrom(MapField<K,V> other)`
`void`
MapFieldBuilder.`mergeFrom(MapField<KeyT,MessageT> other)`
`protected static <V> void`
GeneratedMessage.`serializeBooleanMapTo(CodedOutputStream out, MapField<Boolean,V> field, MapEntry<Boolean,V> defaultEntry, int fieldNumber)`
`protected static <V> void`
GeneratedMessage.`serializeIntegerMapTo(CodedOutputStream out, MapField<Integer,V> field, MapEntry<Integer,V> defaultEntry, int fieldNumber)`
`protected static <V> void`
GeneratedMessage.`serializeLongMapTo(CodedOutputStream out, MapField<Long,V> field, MapEntry<Long,V> defaultEntry, int fieldNumber)`
`protected static <V> void`
GeneratedMessage.`serializeStringMapTo(CodedOutputStream out, MapField<String,V> field, MapEntry<String,V> defaultEntry, int fieldNumber)`